using System;
using Minntech.Comm;

namespace Minntech.SerialDevices
{
	/// <summary>
	/// Summary description for DSD201Simulation
	/// </summary>
	public class DSD201Simulation : ISerialDevice
	{
		private Logging.Log					_log	= null;

		public event RecordReceivedEventHandler	RecordReceived;

		public DSD201Simulation()
		{
		}
		public void Dispose()
		{
		}

		#region ISerialDevice Members

		public ICommDevice Comm
		{
			get
			{
				// TODO:  Add DSD201Simulation.Comm getter implementation
				return null;
			}
			set
			{
				// TODO:  Add DSD201Simulation.Comm setter implementation
			}
		}

		public SupportedSerialDevices Device
		{
			get
			{
				return SupportedSerialDevices.DSD201SoftwareSimulation;
			}
		}

		public Logging.Log Log
		{
			get { return this._log; }
			set { this._log = value; }
		}

		
		#endregion
	}
}
